# OpalRTPConnection::MediaInformation Struct Reference

`#include <rtpconn.h>`

List of all members.

## Public Member Functions

| MediaInformation ()

## Public Attributes

OpalTransportAddress | data
| Data channel address.
OpalTransportAddress | control
| Control channel address.
RTP_DataFrame::PayloadTypes | rfc2833
| Payload type for RFC2833.
RTP_DataFrame::PayloadTypes | ciscoNSE
| Payload type for RFC2833.

## Detailed Description

Meda information structure for GetMediaInformation() function.

## Constructor & Destructor Documentation

OpalRTPConnection::MediaInformation::MediaInformation | ( |  | ) | `[inline]`

## Member Data Documentation

OpalTransportAddress OpalRTPConnection::MediaInformation::data

Data channel address.

OpalTransportAddress OpalRTPConnection::MediaInformation::control

Control channel address.

RTP_DataFrame::PayloadTypes OpalRTPConnection::MediaInformation::rfc2833

Payload type for RFC2833.

RTP_DataFrame::PayloadTypes OpalRTPConnection::MediaInformation::ciscoNSE

Payload type for RFC2833.

The documentation for this struct was generated from the following file:

- rtpconn.h